ros-humble-ros2interface (0.18.18-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 06 Mar 2026 23:00:00 -0000

ros-humble-ros2interface (0.18.17-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 15 Feb 2026 23:00:00 -0000

ros-humble-ros2interface (0.18.16-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jan 2026 23:00:00 -0000

ros-humble-ros2interface (0.18.15-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Nov 2025 23:00:00 -0000

ros-humble-ros2interface (0.18.14-1jammy) jammy; urgency=high

  * fix setuptools deprecations (#1066 <https://github.com/ros2/ros2cli/issues/1066>) (#1103 <https://github.com/ros2/ros2cli/issues/1103>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 Sep 2025 22:00:00 -0000

ros-humble-ros2interface (0.18.13-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 15 Jul 2025 22:00:00 -0000

ros-humble-ros2interface (0.18.12-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Mar 2025 23:00:00 -0000

ros-humble-ros2interface (0.18.11-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Jul 2024 22:00:00 -0000

ros-humble-ros2interface (0.18.10-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 May 2024 22:00:00 -0000

ros-humble-ros2interface (0.18.9-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Feb 2024 23:00:00 -0000

ros-humble-ros2interface (0.18.8-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-humble-ros2interface (0.18.7-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Jul 2023 22:00:00 -0000

ros-humble-ros2interface (0.18.6-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-ros2interface (0.18.5-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 09 Jan 2023 23:00:00 -0000

ros-humble-ros2interface (0.18.4-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 06 Nov 2022 23:00:00 -0000

ros-humble-ros2interface (0.18.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-humble-ros2interface (0.18.2-1jammy) jammy; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 29 Mar 2022 22:00:00 -0000

ros-humble-ros2interface (0.18.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-humble-ros2interface (0.18.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-ros2interface (0.17.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-humble-ros2interface (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-humble-ros2interface (0.16.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-humble-ros2interface (0.16.0-1jammy) jammy; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-humble-ros2interface (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-humble-ros2interface (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 22:00:00 -0000

ros-humble-ros2interface (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-humble-ros2interface (0.12.0-1jammy) jammy; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Mar 2021 23:00:00 -0000

ros-humble-ros2interface (0.11.0-1jammy) jammy; urgency=high

  * Remove ros2interface test dependencies on builtin interface. (#579 <https://github.com/ros2/ros2cli/issues/579>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-humble-ros2interface (0.10.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-humble-ros2interface (0.10.0-1jammy) jammy; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Handle inline comments on constants correctly. (#548 <https://github.com/ros2/ros2cli/issues/548>)
  * Update quoted comments in the test (#540 <https://github.com/ros2/ros2cli/issues/540>)
  * Add option to include/remove whitespace and comments. (#527 <https://github.com/ros2/ros2cli/issues/527>)
  * Show "expanded" message definition. (#524 <https://github.com/ros2/ros2cli/issues/524>)
  * Contributors: Audrow, Audrow Nash, Claire Wang, Tully Foote

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 01 Nov 2020 23:00:00 -0000

ros-humble-ros2interface (0.9.5-1jammy) jammy; urgency=high

  * [ros2interface] Allow stdin input for 'ros2 interface show'. (#387 <https://github.com/ros2/ros2cli/issues/387>)
    * Allow stdin input for 'ros2 interface show'
    * Just use help for all the information
    * Fix import order
    * Simplify logic
    * Catch empty values in case stdin doesn't contain output
    * Add test for 'ros2 interface show' with stdin
    * Use test_msgs instead of std_msgs for stdin test
    * Use example_interfaces in help for show
    Co-authored-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
  * Contributors: Nursharmin Ramli

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 22:00:00 -0000

ros-humble-ros2interface (0.9.4-1jammy) jammy; urgency=high

  * [ros2interface] Remove usage of deprecated std_msgs and std_srvs packages. (#516 <https://github.com/ros2/ros2cli/issues/516>)
  * Use consistent quotes in help messages. (#517 <https://github.com/ros2/ros2cli/issues/517>)
    Using single quotes inside double quotes is consistent with the other CLI help messages.
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-humble-ros2interface (0.9.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 May 2020 22:00:00 -0000

ros-humble-ros2interface (0.9.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-humble-ros2interface (0.9.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 May 2020 22:00:00 -0000

ros-humble-ros2interface (0.9.0-1jammy) jammy; urgency=high

  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove ready_fn from test descriptions. (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Add docblock for ros2interface command. (#434 <https://github.com/ros2/ros2cli/issues/434>)
  * Contributors: Dirk Thomas, Jacob Perron, Peter Baughman, Steven! Ragnarök

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Apr 2020 22:00:00 -0000

ros-humble-ros2interface (0.8.6-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-humble-ros2interface (0.8.5-1jammy) jammy; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Nov 2019 23:00:00 -0000

ros-humble-ros2interface (0.8.4-1jammy) jammy; urgency=high

  * 0.8.4
  * [ros2interface] Fix tests. (#386 <https://github.com/ros2/ros2cli/issues/386>)
    Broken in https://github.com/ros2/rosidl_runtime_py/pull/6
  * Contributors: Jacob Perron, Michael Carroll

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000

ros-humble-ros2interface (0.8.3-1jammy) jammy; urgency=high

  * 0.8.3
  * End-to-end test coverage for CLI commands output. (#304 <https://github.com/ros2/ros2cli/issues/304>)
    * Add end-to-end CLI output tests for ros2:
    - ros2action
    - ros2service
    - ros2topic
    - ros2msg
    - ros2srv
    - ros2interface
    - ros2node
    - ros2pkg
  * Make ros2 interface show fail gracefully (no traceback). (#372 <https://github.com/ros2/ros2cli/issues/372>)
  * Move rosidl implementation details to rosidl_runtime_py. (#371 <https://github.com/ros2/ros2cli/issues/371>)
    * Move rosidl implementation details to rosidl_runtime_py
    This resolves several TODOs.
    Here is the PR moving the related functions to their new home: https://github.com/ros2/rosidl_runtime_py/pull/3
    * Remove dependencies on deprecated packages
    * Remove obsolete test
    * Make linters happy :)
  * Handle bad or missing package on ros2 interface show. (#366 <https://github.com/ros2/ros2cli/issues/366>)
  * Ensure ros2 interface show has trailing newline. (#368 <https://github.com/ros2/ros2cli/issues/368>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-humble-ros2interface (0.8.2-1jammy) jammy; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Oct 2019 22:00:00 -0000

ros-humble-ros2interface (0.8.1-1jammy) jammy; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-humble-ros2interface (0.8.0-1jammy) jammy; urgency=high

  * Install resource marker file for packages. (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Add interface proto . (#298 <https://github.com/ros2/ros2cli/issues/298>)
    * Add interface proto
    * Use rosidl_runtime_py.utilities
    * No-hyphens -> no-quotes
  * Install package manifest. (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Ros2interface fixes/changes. (#308 <https://github.com/ros2/ros2cli/issues/308>)
    * Minor changes to ros2interface
  * Add actions to interface type completer. (#303 <https://github.com/ros2/ros2cli/issues/303>)
    Fix #302 <https://github.com/ros2/ros2cli/issues/302>
  * [ros2interface] Fix output formatting. (#289 <https://github.com/ros2/ros2cli/issues/289>)
    * Add missing indentation to list verb output
    * Format show verb error message
  * Added ros2interface to replace ros2 msg/srv. (#288 <https://github.com/ros2/ros2cli/issues/288>)
    * Adding ros2 interface command line tool
    Signed off by: Siddharth Kucheria
  * Contributors: Dirk Thomas, Jacob Perron, Jeremie Deray, Siddharth Kucheria

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-humble-ros2interface (0.7.4-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-humble-ros2interface (0.7.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-humble-ros2interface (0.7.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-humble-ros2interface (0.7.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Apr 2019 22:00:00 -0000

ros-humble-ros2interface (0.7.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-humble-ros2interface (0.6.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Feb 2019 23:00:00 -0000

ros-humble-ros2interface (0.6.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Dec 2018 23:00:00 -0000

ros-humble-ros2interface (0.6.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-humble-ros2interface (0.6.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 18 Nov 2018 23:00:00 -0000

ros-humble-ros2interface (0.5.4-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 Aug 2018 22:00:00 -0000

ros-humble-ros2interface (0.5.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 16 Jul 2018 22:00:00 -0000

ros-humble-ros2interface (0.5.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 22:00:00 -0000

ros-humble-ros2interface (0.5.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 10:27:00 -0000

ros-humble-ros2interface (0.5.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 10:17:00 -0000

ros-humble-ros2interface (0.4.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


